Resume the paused version (its review stands)
POST
/v1/workspace/workflows/{recipe_id}/resume
const url = 'https://api.vocapable.com/v1/workspace/workflows/example/resume';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/workflows/example/resume \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”recipe_id
required
Recipe Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceWorkflowPlanAction
object
expected_revision
required
Expected Revision
integer
Examplegenerated
{ "expected_revision": 1}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceWorkflowRecipe
object
id
required
Id
string
slug
required
Slug
string
name
required
Name
string
tag
required
Tag
string
description
required
Description
string
tools
required
Tools
Array<object>
WorkspaceWorkflowToolobject
provider
required
Provider
string
name
required
Name
string
status
required
Status
string
steps
required
Steps
Array<string>
stops
required
Stops
Array<string>
result
required
Result
string
latest_plan
required
Any of:
WorkspaceWorkflowPlan
object
id
required
Id
string
recipe
required
Recipe
string
version
required
Version
integer
status
required
Status
string
owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
reviewed_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
activated_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
null
active_plan
required
Any of:
WorkspaceWorkflowPlan
object
id
required
Id
string
recipe
required
Recipe
string
version
required
Version
integer
status
required
Status
string
owner
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
reviewed_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
activated_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
null
runs
required
WorkspaceWorkflowRunCounts
object
waiting
required
Waiting
integer
held
required
Held
integer
completed
required
Completed
integer
cancelled
required
Cancelled
integer
Example
{ "id": "missed_call", "latest_plan": { "recipe": "missed_call", "status": "draft", "remind_after": "15m" }, "active_plan": { "recipe": "missed_call", "status": "draft", "remind_after": "15m" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}